package io.hmit.modules.serviceOrder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 活动表
 *
 * @author Shen Yuanfeng syf0412@vip.qq.com
 * @since 1.0.0 2021-05-12
 */
@Data
@ApiModel(value = "活动表")
public class PensionEventDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "活动名称")
	private String eventTitle;

	@ApiModelProperty(value = "图像id")
	private Long eventImageId;

	@ApiModelProperty(value = "图像url")
	private String eventImageUrl;

	@ApiModelProperty(value = "负责人")
	private String eventLeaderName;

	@ApiModelProperty(value = "电话")
	private String eventLeaderPhone;

	@ApiModelProperty(value = "报名费")
	private String eventFee;

	@ApiModelProperty(value = "计划人数")
	private String eventNum;

	@ApiModelProperty(value = "介绍")
	private String eventDescribe;

	@ApiModelProperty(value = "结束展示内容")
	private String eventEndDescribe;

	@ApiModelProperty(value = "活动签到信息")
	private String eventClock;

	@ApiModelProperty(value = "状态：0未发布（草稿），1已发布（可报名），2结束报名，3活动结束，4隐藏")
	private Integer status;

	@ApiModelProperty(value = "活动地点")
	private String eventPlace;

	@ApiModelProperty(value = "报名结束日期")
	private Date enrollEndDate;

	@ApiModelProperty(value = "活动日期")
	private String eventDate;

	@ApiModelProperty(value = "机构id")
	private Long eventOrgId;

	@ApiModelProperty(value = "机构名称")
	private String eventOrgName;

	@ApiModelProperty(value = "社区id")
	private Long eventComId;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "创建人")
	private Long creator;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "更新时间")
	private Date updateDate;


}