package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 报名表
 *
 * @author Shen Yuanfeng syf0412@vip.qq.com
 * @since 1.0.0 2021-05-12
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("tb_enroll")
public class EnrollEntity {
	private static final long serialVersionUID = 1L;

	@TableId
	private Long id;
    /**
     * 用户id
     */
	private Long userId;
    /**
     * 活动id
     */
	private Long eventId;
    /**
     * 活动名称
     */
	private String eventTitle;
    /**
     * 报名费
     */
	private String eventFee;
    /**
     * 图像id
     */
	private Long eventImageId;
    /**
     * 图像url
     */
	private String eventImageUrl;
    /**
     * 姓名
     */
	private String name;
    /**
     * 性别
     */
	private Integer gender;
    /**
     * 电话
     */
	private String mobile;
    /**
     * 状态：0已报名，1已取消
     */
	private Integer status;
    /**
     * 备注
     */
	private String remark;
	/**
	 * 创建时间
	 */
	private Date createDate;
	/**
	 * 更新时间
	 */
	private Date updateDate;
}