package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 活动表
 *
 * @author Shen Yuanfeng syf0412@vip.qq.com
 * @since 1.0.0 2021-05-12
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("pension_event")
public class PensionEventEntity {
	private static final long serialVersionUID = 1L;

	@TableId
	private Long id;
    /**
     * 活动名称
     */
	private String eventTitle;
    /**
     * 图像id
     */
	private Long eventImageId;
    /**
     * 图像url
     */
	private String eventImageUrl;
    /**
     * 负责人
     */
	private String eventLeaderName;
    /**
     * 电话
     */
	private String eventLeaderPhone;
    /**
     * 报名费
     */
	private String eventFee;
    /**
     * 计划人数
     */
	private String eventNum;
    /**
     * 介绍
     */
	private String eventDescribe;
    /**
     * 结束展示内容
     */
	private String eventEndDescribe;
    /**
     * 活动签到信息
     */
	private String eventClock;
    /**
     * 状态：0未发布（草稿），1已发布（可报名），2结束报名，3活动结束，4隐藏
     */
	private Integer status;
    /**
     * 活动地点
     */
	private String eventPlace;
    /**
     * 报名结束日期
     */
	private Date enrollEndDate;
    /**
     * 活动日期
     */
	private String eventDate;
    /**
     * 机构id
     */
	private Long eventOrgId;
    /**
     * 机构名称
     */
	private String eventOrgName;
    /**
     * 社区id
     */
	private Long eventComId;
    /**
     * 备注
     */
	private String remark;
	/**
	 * 创建者
	 */
	private Long creator;
	/**
	 * 创建时间
	 */
	private Date createDate;
    /**
     * 更新时间
     */
	private Date updateDate;
}